package com.base.utils.eventbusmodel;

/**
 * 捕获异常后重新启动App
 */

public class EventRestartApp {
    public enum Type{
        TYPE_RESTART_EXCEPTION,
        TYPE_RESTART_FORCE_OFFLINE,
        TYPE_RESTART_SWITCH_DAY
    }
    public EventRestartApp(Type type){
        this.type =type;
    }

    public Type getType() {
        return type;
    }

    public void setType(Type type) {
        this.type = type;
    }

    private Type type;
}
